#include <bits/stdc++.h>

using namespace std;
#define MAXN 500005
#define MAXBIT 57
typedef long long ll;
const ll INF = 1e18;
ll a[MAXN];
int cnt[MAXN];

int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        for(int j = 0; j < MAXBIT; j++)
        {
            if(a[i]&(1LL<<j))
            {
                cnt[j]++;
            }
        }
    }
    ll ans = INF;
    for(int j = 0; j < MAXBIT; j++)
    {
        ll tr = 0LL;
        for(int i = 0; i < n; i++)
        {
            if(!(a[i]&(1LL<<j)))
            {
                tr += (1LL<<j);
            }
        }
        if(n%2==1)
        {
            ans=min(ans,tr);
        }
        else
        {
            bool fl = false;
            for(int k = 0; k < MAXBIT; k++)
            {
                if(k==j)continue;
                if(cnt[k]%2==1){ans=min(ans,tr),fl=true;break;}
            }
            if(fl)continue;
            for(int k = 0; k < MAXBIT; k++)
            {
                for(int i = 0; i < n; i++)
                {
                    if(!(a[i]&(1LL<<j)))
                {
                    if(a[i]&(1LL<<k) && cnt[k]%2==0)
                    {
                        ans=min(ans,tr-(1LL<<j)+abs((1LL<<k)-(1LL<<j)));
                        continue;
                    }
                }
                }
            }
            for(int k = 0; k < MAXBIT; k++)
            {
                if(cnt[k]%2==0)
                {
                    ans=min(ans,tr+(1LL<<k));
                }
            }
        }
    }
    cout << ans;
    return 0;
}